FXPad Help

The Plasma FXPad (FXPad for short) lets you modulate (change the settings of) a wide variety of powerful effects in real time, using a mouse, joystick, or the FXPad's Autosweep feature. You can create filter sweeps, distortion, flanging, and lots of other effects that change as quickly or slowly as you want, in time to the music or not, as you choose. If you use Plasma or some other Cakewalk audio program, you can automate the major controls in the FXPad by drawing envelopes in the Track view. You can record your joystick or mouse movements, and capture all of your creative input by mixing down to a track or file. The Autosweep feature synchronizes itself to your project's tempo, letting you choose any number of beats or measures before it repeats.

For step-by-step instructions and more information, see:

Overview

Controlling the FXPad with a Mouse or Joystick

Using the Autosweep Function

Automating the FXPad

Description of FXPad Controls

Using the Quick FX Buttons

Tips On Using the Cakewalk FXPad

Table of Effects and Parameters

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Overview

The FXPad has a list of preset effects (see right side of picture, above), each of which has two parameters (settings) that you can control in real time (see ). You choose an effect by clicking its name so that the name is highlighted. The choice of parameters for each effect is preselected and can't be changed. By dragging the Locus inside the X:Y Matrix you change the values of either or both of the two parameters. Moving the Locus up or down controls one parameter, and moving the Locus from side to side controls the other. Dragging in any direction that's not completely vertical or horizontal changes both parameters at once. You can force the Locus to move in a purely vertical direction by dragging the Y slider that's at the right edge of the X:Y Matrix, and you can force the Locus to move only horizontally by dragging the X slider that's at the bottom edge of the X:Y Matrix.

The Autosweep feature moves the Locus automatically in a repeating pattern that you can configure to be either an ellipse or a straight line. You can drag any of four different points on the graph to completely control the size, shape, position, and angle of the pattern. The Autosweep button at the bottom of the FXPad window turns Autosweep on or off, and the beats and measures field next to it lets you control how fast the Autosweep pattern repeats, in synch with the project's tempo.

In Cakewalk programs, you can also control the Locus by recording its movements or by drawing envelopes in the Track view. This is called automation.

For step-by-step instructions and more information, see:

Controlling the FXPad with a Mouse or Joystick

Using the Autosweep Function

Automating the FXPad

Description of FXPad Controls

Using the Quick FX Buttons

Tips On Using the Cakewalk FXPad

Table of Effects and Parameters

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Description of FXPad Controls

The following table explains all of the FXPad's controls:
Control... | How to use it...
Presets menu | Type a name to describe the FXPad's current settings, and click the Save Preset button to save the settings. To recall those settings, find the name that you typed in the Presets menu and select it.
Save Presets button | After you type a name in the Presets menu, click this button to save any current settings.
Delete Preset button | Click this button to delete the Preset that is currently displayed in the Presets menu.
Input knob | Turn this knob to increase or decrease the amount of signal that reaches the FXPad.
Mix knob | Turn this knob to control the ratio of wet to dry signal that leaves the FXPad.
Quick FX buttons | Assign a favorite effect to a Quick FX button by highlighting the effect, right-clicking it, and choosing the button number form the popup menu. After you assign an effect to a button, you can choose that effect by clicking the appropriate Quick FX button.
List of effects | Choose an effect by clicking the name of the effect in this list.
Locus | Drag the Locus in any direction you want in order to control the settings of the currently selected effect. When you use Autosweep, the Locus moves automatically.
X slider | Drag the X slider to move the Locus in a purely horizontal direction.
Y slider | Drag the Y slider to move the Locus in a purely vertical direction.
Autosweep On/Off buttons | Click these buttons to turn Autosweep on or off. See Using the Autosweep Function.
Beats/Meas | Click either Beats or Meas to select either beats or measures as the unit of repetition for the Autosweep function.
Plus/Minus buttons | Use the Plus/Minus buttons to increase or decrease the number of beats or measures it takes before the Autosweep pattern repeats.

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Controlling the FXPad with a Mouse or Joystick

The basic procedure for using the FXPad is to drag the Locus in any direction you want. As you move the Locus, two or more parameters of the selected effect change, depending on the direction and distance that you move the Locus (see detailed procedure below).

To Control the FXPad with a Mouse or Joystick

  1. Patch the FXPad into an audio track or bus--in Cakewalk programs do this by right-clicking the FX field of a track or bus and choosing Audio Effects-FXPad from the popup menu.
Note: Once inserted into a Cakewalk effects chain, the FXPad will also appear as an available MIDI Output in the output menu of your MIDI tracks. This is due to the nature of its implementation, which allows it to receive MIDI-based tempo map information. While not harmful, it is recommended that you do not select the FXPad as your MIDI output for a track, as the plug-in does not respond to common MIDI messages nor generate tone as a DXi soft synth.
  2. The FXPad interface should appear--if it doesn't, double-click the name "FXPad" where it appears in the track or bus that you patched it into.
  3. Make sure that the Autosweep button is in the Off position.
  4. Select an effect from the effects menu that's on the right side of the interface (for a complete list of preset effects and parameters, see Table of Effects and Parameters).
  5. If you want to use a joystick to control the Locus, simply depress and hold any joystick button. You can now move the Locus with the joystick. Release the joystick button to release the Locus when you're finished moving it.
  6. Start your project playing by clicking the Start button in your audio program.
  7. Drag the FXPad's Locus (or move the joystick) in any direction you want. You can restrict the Locus' direction to either vertical or horizontal movement by dragging either the X or Y sliders that are located on the bottom and right edges of the X:Y Matrix.
  8. If you want, you can drag the Input knob to change the level of the input signal, and/or drag the Mix knob to change the ratio of wet to dry signal that's returned to the mix. You can also control these knobs by clicking in the number fields below each one, typing a number, and pressing Enter.
  9. If you like the combination of Mix, Input, choice of effect, and Autosweep settings that you've created, you can type a name for this combination in the Presets menu and click the Save Preset button that's next to it to save your settings. The next time you want this particular setup, just find the name that you typed in the Presets menu and select it.

As you drag the Locus, listen to the sound of the effect change. Try different effects, and different patterns of dragging the Locus. See Tips On Using the Cakewalk FXPad. You can assign a different effect to each of the Quick FX buttons so that you don't have to find the effect in the effect list when you want to choose it. See Using the Quick FX Buttons.

You don't have to drag the Locus if you don't want to. You can let the Autosweep function move the Locus for you, or you can even record the way you move the Locus and then play it back (this is called automation).

For more information, see Automating the FXPad, and To Use Autosweep.

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Using the Quick FX Buttons

Instead of hunting through the list of effects to find an effect that you use frequently, you can assign the effect to a Quick FX button so that you only have to click a button to select a favorite effect.

To Use the Quick FX Buttons

  1. From the list of effects, select the effect you want to assign and make sure the effect's name is highlighted.
  2. Right-click the highlighted effect. A popup menu appears.
  3. In the popup menu, click the number of the Quick FX button you want to assign the highlighted effect to.

Now you can select the effect you chose just by clicking the Quick FX button that you assigned it to.

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Using the Autosweep Function

The autosweep function moves the Locus automatically. You can edit the size, shape, speed, direction, position, and angle of the pattern that the Locus moves through.

To Use Autosweep

  1. Choose an effect from the effects menu that's on the right side of the FXPad interface.
  2. Click the Autosweep button to the On position.
The Locus starts to move in whatever pattern was previously selected.
  3. Change the pattern by doing any or all of the following:
    • To change the shape of the pattern, drag the Shape node either toward or away from the center of the pattern (see graphic below). Dragging away from the center creates an ellipse that gets progressively fatter. Dragging the Shape node to the center of the pattern turns the pattern into a straight line. Dragging past the center causes the Locus to revolve in the opposite direction.
    • To change the length and/or angle of the ellipse or line, drag either of the Orbs that are on each end of the pattern.
    • To change the position of the pattern while maintaining its other characteristics, drag the Position node that's at the center of the pattern or hold down the Shift key, click and drag the Shape node (useful when the sweep path is collapsed into a straight line).
  4. Change how often the pattern repeats by clicking either Beats or Meas in the beats and measures field, to select either beats or measures as the unit of repetition. Choose the number of beats or measures by clicking the + or - buttons in the beats and measures field.
Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Automating the FXPad

If you're using the FXPad in a Cakewalk program, you can automate the Locus in the FXPad by using either of the following methods:

  • Recording the movements of the Locus as you drag the mouse or move the joystick
  • Drawing X Axis and/or Y Axis envelopes in the Track view (these envelopes control the X slider and Y slider)

To Record Locus Movements

  1. Patch the FXPad into the track or bus where you want to use it, and minimize the FXPad interface when it appears.
  2. In the track or bus where you patched the FXPad, right-click the name of the effect and select Arm Parameter from the popup menu.
The FXPad dialog box appears.
  3. Check one or both of the choices, depending on whether you want to record the Locus' horizontal movement (choose Pad X Axis), its vertical movement (choose Pad Y Axis), or both, and click OK.
  4. Start recording by clicking the Record Automation button [image] that's in the Transport toolbar, and move the Locus the way you want it to move.
  5. When you finish moving the Locus, click the Stop button in the Transport toolbar.

Your Cakewalk program shows the results of your recording by drawing X Axis and Y Axis envelopes in the Clips pane. Play back the track and listen to the result. Then you can either re-record the automation, edit the envelopes (see To Edit an Envelope in the Track View), or disarm the FXPad. You can disarm all armed effects at once by clicking the red Aut indicator that's in the Status bar at the bottom of the Cakewalk window, or by clicking the Disarm All Automation Controls button [image] that's in the Automation toolbar.

To Draw Envelopes in the Track View

  1. Patch FXPad into the track or bus where you want to use it, and minimize the effect's interface when it appears.
  2. Right-click in the Clips pane in the track (or bus) where you patched the effect.
The Clips pane or Bus pane popup menu appears.
  3. Choose Envelopes-Create-FXPad 1.
The FXPad 1 dialog box appears.
  4. Check off the envelopes you want to create; usually you check both Pad X Axis and Pad Y Axis. As you check each envelope choice, you can choose a color for the envelope by clicking the Choose Color button that's in the lower right corner of the dialog box.
  5. Click OK.

All the envelopes that you checked appear in the track or bus you were working in. The Pad X Axis envelope moves the Locus in a horizontal direction, and the Pad Y Axis moves the Locus in a vertical direction.

To edit your envelope, see the next procedure.

To Edit an Envelope in the Track View

  1. Using either the Select [image] or Envelope [image] tools, move the cursor over the envelope until a vertical, double-ended arrow appears under it (notice that the name and current value of the envelope appear in a box next to the cursor), and right-click the envelope. If you use the Envelope tool, you can't accidentally edit any other data besides the envelope.
The Envelope Editing menu appears.
  2. Choose Add Node from the menu.
A node appears on the envelope.
Note: A shortcut to add a node is to double-click the envelope.
  3. Move the cursor over the node until a cross appears under it, and drag the node in any direction you want.
  4. Double-click the envelope to add another node.
  5. Drag the new node in any direction you want and release the mouse.
  6. Move the cursor over the segment of the envelope that lies between the two nodes until the double-ended arrow appears, and right-click the envelope to open the Envelope Editing menu.
  7. Choose one of the following shapes from the Envelope Editing menu:
    • Jump--This choice causes the envelope to make a ninety degree jump where the envelope reaches the second node. SONAR displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the line itself is.
    • Linear--This choice draws a straight line between the two nodes.
    • Fast Curve--This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
    • Slow Curve--This choice draws a curve between the two nodes that changes value slowly at first, but more rapidly toward the end of the curve.
PlasmaSONAR adds a shape between the nodes. You can drag any shape except a jump up or down and it maintains its curve or angle. To edit a jump, drag the node that's at either end of the jump.

Play the project and listen to the results. You can undo any step by using the Edit-Undo command (Ctrl+Z) directly after that step. You can drag the nodes in any direction you want. You can play back your project with or without the automation data by clicking the Enable Automation Playback button [image] in the Automation toolbar.

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Tips On Using the Cakewalk FXPad

Each of the FXPad's presets is more like several effects at once, producing radically different results based on where the Locus or Autosweep ellipse is positioned within the X:Y Matrix. The numerous presets will also produce varying results depending in the type of audio being processed (i.e. drums, guitars, vocals, or even a complete mix).

The FXPad's presets are designed to produce a wide range of results, meaning that the range of values from one end of the pad to the other for a given parameter is usually significant (see ). Therefore it's advisable to create smaller ellipses and confine them to just one quadrant before moving or stretching into another. Try experiment in this fashion until you find a "sweet spot" or region. For example, based on the shape and position of an ellipse, a preset might sweep into an exciting range of values at the end of every two measures, yielding a sort of sonic punctuation, which might be just right for a particular drum loop or guitar part.

Due to the nature of some effects presets, it is advisable that certain conventions be followed. Specifically, it's good to be aware of the implications of enabling the Autosweep mode when using delay-based presets. For example, a preset like Sweep Dreams yields an increasingly greater delay time the higher up the Y-axis the Locus travels. Therefore, you should find a location where the delay time works particularly well with the tempo of the project (e.g. a slap-back effect, triplet-based echoes, etc). In this case, engaging Autosweep mode might be less effective than simply positioning the Locus to a specific coordinate. If the ellipse happens to sweep across the Y-axis, the delay time would constantly fall out of time with the audio (unless of course a horizontal line is created for the sweep path).

Here are a few tips that will help you get the most out of using the FXPad:

  • The FXPad's effect parameters start with smaller values, then get larger as the Locus moves to the right and upward. The least tweaked region typically lies in the 4th quadrant (lower left) while the most tweaked region lies in the 2nd quadrant (upper right).
  • When listening to a preset for first time, experiment by slowly moving the Locus from one position to the next. Once you find a region you like, enable Autosweep mode and create an ellipse that passes into that "sweet spot."
  • Delay-based effects don't always work well with ellipses which travel the Y-axis. Find the appropriate position with the Locus, then if you'd like to sweep the X-axis, create a horizontal line at that position.
  • The Mix Knob controls the FXPad's dry/wet level. A setting of 0.5 is appropriate in most situations. For a saturated effect, crank it all the way - but beware of the added gain when combining distortion and EQ at certain frequencies.
  • Autosweep is always in sync with a Cakewalk's project tempo, so you don't need to worry about changing the shape of the ellipse when the tempo changes.
  • Move the axis sliders located along the bottom and right sides of the X:Y Matrix to restrict motion of the Locus to the X or Y axis exclusively.

For step-by-step instructions and more information, see:

Controlling the FXPad with a Mouse or Joystick

Using the Autosweep Function

Automating the FXPad

Description of FXPad Controls

Using the Quick FX Buttons

Table of Effects and Parameters

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com


Table of Effects and Parameters

The following table lists the preset effects that you can choose in the FX Pad, together with the parameters of each effect that you control with the Locus' X Axis and Y Axis.

Preset... | FX chain... | X parameters and range of values... | Y parameters and range of values...
Arctic Cave: Reflecting off of hard surfaces, hear the sound sweep through an icy passage. | Parametric EQ > Reverb | Center, 500-12000 | Bandwidth, 500-3000
Bass Wah: Sweeps through lower frequencies - effective on lower register instruments. | Parametric EQ | Center, 80-320 | Bandwidth, 6-15
Bitz Blitz: Fragment the audio stream - sounds like it breaks into pieces at high rates. | Amplitude modulation | Rate, 0-500 | None
Black Hole: Look for "sweet spots" in the 2nd quadrant as you slip over the event horizon. | Flanger > Reverb | Feedback 10-99 | Decay 0-3000
Canyon: Like shouting into a rocky gorge - the reflections will answer themselves. | Delay > Reverb | Decay 200-1500 | Feedback 0-100 Left delay 1-200 Right delay 1-200
Captain's LOG: Execute logarithmic sweeps in a phased sea of reverb - best on lower frequencies. | Parametric EQ > Flange > Reverb | Center 500-1000 Decay 250-1000 | Bandwidth 10-16
Chorus Wah: A favorite among funky guitarists. | Chorus > Parametric EQ | Center 320-5120 | Chorus depth 0-40
ChorusVerb: Sweep from dry to wet - adds a "spacey" quality to drum loops. | Chorus > Reverb | Decay 0-3000 | Wet/dry mix 0-100
Classic Chorus: A tame, general purpose chorus. | Chorus | Frequency 0-2 | Chorus depth 10-25
Classic Flange: Might be just what you need for a drum fill or some pentatonic jangling. | Flanger | Wet/dry mix 0-100 | Feedback -50.0-0
CrunchVerb: Not in your face, but not mild either. Suitable for dirtying up the rhythm just a touch. | Distortion > Flanger > Reverb | Decay 0-200 | Edge 0-8 Flanger depth 0-100
Crunchy Delay: Find your sweet spot - rockabilly grunge? | Distortion > Delay | Edge 0-8 | Left delay 0-250 Right delay 0-250
Detuned: Extreme chorus can be a mind bender - sweet and twisted in the 2nd quadrant. | Chorus | Chorus delay 0-20 | Chorus depth 0-100
Dirty Hippy: What do you get when you cross the fuzz with a flange of psychedelia? | Distortion > Flanger | Feedback 0-80 | Edge 0-8
DistortoVerb: A sound that never grows old. | Distortion > Reverb | Decay 250-3000 | Edge 0-8
Drip Grind: Boost the gain, add a drop of reverb, and sweep that phat EQ - sonic java. | Distortion > Reverb > Parametric EQ | Center 100-16000 | Decay 0-200
Droid Drivel: Artificially unintelligible. | Flanger | Frequency 0-10 | Feedback -50.0-99
Flangey Wah: Two great tastes that go great together. | Flanger > Parametric EQ | Center 320-5120 | Flanger depth 5-100
FreqY Flange: Extreme flanging - push the Y axis to "freq" your sound. | Flanger | Feedback 10-99 | Frequency 5-10
Fuzzy Wah: Multi-purpose pedal in a Pad. | Distortion | Post EQ center frequency 500-5000 | Edge 0-8
Greasy Shiny: A little distortion greases the skids, and the chorus makes it shimmer. | Distortion > Chorus | Chorus depth 0-40 | Edge 0-8
Grunge EQ: This one gets hairier than its retro cousin, the Fuzzy Wah. | Distortion > Parametric EQ | Center 320-10000 | Edge 0-15
Grunge Sponge: Dirty EQ? Sop it up with some sparkling chorus. | Distortion > Chorus | Post EQ center frequency 2400-6000 | Wet/dry mix 0-100
High Roller: This EQ is not concerned with the more common frequencies but sweeps through the higher ranges. | Parametric EQ | Center 1500-10000 | Bandwidth 12.5-17
Kinda Phat: Just kinda? This one can blow out your tires. | Distortion | Post EQ bandwidth 800-3000 | Edge 0-20
Labyrinthine: Lost in a maze of echoes and reflections. | Delay > Reverb | Decay 100-1000 | Left Delay 0-200 Right delay 0-200
Lil' Psychibel: It's psychedelic, it's epileptic, it's wandering through the halls. | Flanger > Amp modulation > Reverb | Rate 0-1000 | Frequency 0-10
Middle Kid: This EQ isn't a high roller or a lowly sweeper - stick to mid's with this one. | Parametric EQ | Center 500-700 | Bandwidth 6-12.5
Pad Wah: This is your quintessential wah-wah: strong enough for a pedal, but made for a pad. | Parametric EQ | Center 320-5120 | Center 320-5120
Q the Echo Mo: AKA "variable bandwidth and delay time." Possibly the stuff of folk legend or just a terrible pun. | Parametric EQ > Delay | Bandwidth 6-14 | Left delay 0-250 Right delay 0-250
Rave Echo: Filter sweeps and echoes all mingling together - could be a rave going on. | Parametric EQ > Delay > Reverb | Center 2500-16000 | Left delay 0-300 Right delay 0-300
Retro Delay: Reflections of psychedelia? | Flanger > Delay | Depth 0-100 | Left delay 0-250 Right delay 0-250
Retro Phaze: As dirty and greasy as it ever was. | Distortion > Flanger | Depth 10-90 | Edge 0-8
Rinse & Spin: Freaking out with the chorus again - sounds like putting your audio on the washer. | Chorus | Frequency 0-10 | Depth 0-100
Robotic: Try to create vowel sounds by sweeping through a grainy audio stream. | Amp modulation > Parametric EQ | Center 320-10000 | Rate 50-500
Shardz: Triangular waveshapes spin like shards of glass in this fragmented effect. | Amplitude modulation | Rate 0-500 | None
Slinky: Seems to expand and contract your audio - fun for a girl and a boy. | Chorus | Frequency 0-10 | Delay 0-20
Smokey: Subtle smoldering, but expect a little crackling. | Distortion | Post EQ bandwidth 820-2400 | Edge 0-12
SpaceVerb: Just like space travel as it was depicted in the 60's. | Flanger > Reverb | Decay 0-300 | Wet/dry mix 0-100
Springy Room: Wacky chorus effect is at it again: let the domains of frequency and feedback put a little spring in your step. | Chorus | Frequency 0-10 | Feedback 0-85
Steely Delay: Add a shimmering edge of chorus to temper the delay. | Chorus > Delay | Depth 0-60 | Left delay 0-250 Right delay 0-250
Super Sweeper: Like a standard wah pedal - but bigger and not in a pedal really. | Parametric EQ | Center 100-16000 | Bandwidth 10-16
Sweep Dreams: Sweep the hottest range of the spectrum in the chasms of your mind, softened with a cushion of reverb. | Parametric EQ > Delay > Reverb | Center 320-5120 | Left delay 0-300 Right delay 0-300
Verb-O-rus: Reverb + Chorus = Verb-O-rus (sweet on kits). | Chorus > Reverb | Depth 0-80 | Decay 100-1500

For step-by-step instructions and more information, see:

Controlling the FXPad with a Mouse or Joystick

Using the Autosweep Function

Automating the FXPad

Description of FXPad Controls

Using the Quick FX Buttons

Tips On Using the Cakewalk FXPad

Cakewalk
http://www.cakewalk.com
Voice: (617) 441-7870
Fax: (617) 441 7887
support@cakewalk.com
sales@cakewalk.com